﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="..\..\..\packages\FuseOpen.Xamarin.Mac.3.4.0.2\build\net45\FuseOpen.Xamarin.Mac.props" Condition="Exists('..\..\..\packages\FuseOpen.Xamarin.Mac.3.4.0.2\build\net45\FuseOpen.Xamarin.Mac.props')" />
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">..\..\..\</SolutionDir>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{E8884270-5F2C-4076-86D0-456B831BE3E5}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Outracks.Simulator</RootNamespace>
    <AssemblyName>Fuse.Simulator</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <RestorePackages>true</RestorePackages>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <Import Project="$(SolutionDir)\Fuse.targets" />
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>obj/</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <UseVSHostingProcess>true</UseVSHostingProcess>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>obj/</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="IKVM.Reflection, Version=0.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Backends.CIL.1.9.0-rc1\lib\net45\IKVM.Reflection.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Web.XmlTransform, Version=2.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Microsoft.Web.Xdt.2.1.1\lib\net40\Microsoft.Web.XmlTransform.dll</HintPath>
    </Reference>
    <Reference Include="Minimatch, Version=1.1.0.0, Culture=neutral, PublicKeyToken=0cadeb0b849c27c0, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Minimatch.1.1.0.0\lib\portable-net40+sl50+win+wp80\Minimatch.dll</HintPath>
    </Reference>
    <Reference Include="Mono.Cecil, Version=0.10.0.0, Culture=neutral, PublicKeyToken=50cebf1cceb9d05e, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Mono.Cecil.0.10.0\lib\net40\Mono.Cecil.dll</HintPath>
    </Reference>
    <Reference Include="Mono.Cecil.Mdb, Version=0.10.0.0, Culture=neutral, PublicKeyToken=50cebf1cceb9d05e, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Mono.Cecil.0.10.0\lib\net40\Mono.Cecil.Mdb.dll</HintPath>
    </Reference>
    <Reference Include="Mono.Cecil.Pdb, Version=0.10.0.0, Culture=neutral, PublicKeyToken=50cebf1cceb9d05e, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Mono.Cecil.0.10.0\lib\net40\Mono.Cecil.Pdb.dll</HintPath>
    </Reference>
    <Reference Include="Mono.Cecil.Rocks, Version=0.10.0.0, Culture=neutral, PublicKeyToken=50cebf1cceb9d05e, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Mono.Cecil.0.10.0\lib\net40\Mono.Cecil.Rocks.dll</HintPath>
    </Reference>
    <Reference Include="Mono.Options, Version=5.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Mono.Options.5.3.0.1\lib\net4-client\Mono.Options.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=11.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Newtonsoft.Json.11.0.2\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="NuGet.Common, Version=4.5.0.4, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\NuGet.Common.4.5.0\lib\net45\NuGet.Common.dll</HintPath>
    </Reference>
    <Reference Include="NuGet.Core, Version=2.14.0.832, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\NuGet.Core.2.14.0\lib\net40-Client\NuGet.Core.dll</HintPath>
    </Reference>
    <Reference Include="NuGet.Frameworks, Version=4.5.0.4, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\NuGet.Frameworks.4.5.0\lib\net45\NuGet.Frameworks.dll</HintPath>
    </Reference>
    <Reference Include="NuGet.Packaging, Version=4.5.0.4, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\NuGet.Packaging.4.5.0\lib\net45\NuGet.Packaging.dll</HintPath>
    </Reference>
    <Reference Include="NuGet.Packaging.Core, Version=4.5.0.4, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\NuGet.Packaging.Core.4.5.0\lib\net45\NuGet.Packaging.Core.dll</HintPath>
    </Reference>
    <Reference Include="NuGet.Versioning, Version=4.5.0.4, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\NuGet.Versioning.4.5.0\lib\net45\NuGet.Versioning.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.Reactive, Version=4.0.0.0, Culture=neutral, PublicKeyToken=94bc3704cddfc263, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\System.Reactive.4.0.0-preview00001\lib\net45\System.Reactive.dll</HintPath>
    </Reference>
    <Reference Include="System.Reactive.Windows.Threading, Version=3.0.1000.0, Culture=neutral, PublicKeyToken=94bc3704cddfc263, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\System.Reactive.Windows.Threading.4.0.0-preview00001\lib\net45\System.Reactive.Windows.Threading.dll</HintPath>
    </Reference>
    <Reference Include="System.Windows" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Collections.Immutable">
      <HintPath>..\..\..\packages\Microsoft.Bcl.Immutable.1.0.34\lib\portable-net45+win8+wp8+wpa81\System.Collections.Immutable.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Build, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Build.1.9.0-rc1\lib\net45\Uno.Build.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Build.Targets, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Build.Targets.1.9.0-rc1\lib\net45\Uno.Build.Targets.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Common, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Common.1.9.0-rc1\lib\net45\Uno.Common.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.API, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.API.1.9.0-rc1\lib\net45\Uno.Compiler.API.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Backends.CIL, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Backends.CIL.1.9.0-rc1\lib\net45\Uno.Compiler.Backends.CIL.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Backends.CPlusPlus, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Backends.CPlusPlus.1.9.0-rc1\lib\net45\Uno.Compiler.Backends.CPlusPlus.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Backends.CSharp, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Backends.CSharp.1.9.0-rc1\lib\net45\Uno.Compiler.Backends.CSharp.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Backends.JavaScript, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Backends.JavaScript.1.9.0-rc1\lib\net45\Uno.Compiler.Backends.JavaScript.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Backends.OpenGL, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Backends.OpenGL.1.9.0-rc1\lib\net45\Uno.Compiler.Backends.OpenGL.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Backends.PInvoke, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Backends.PInvoke.1.9.0-rc1\lib\net45\Uno.Compiler.Backends.PInvoke.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Backends.UnoDoc, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Backends.UnoDoc.1.9.0-rc1\lib\net45\Uno.Compiler.Backends.UnoDoc.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Core, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Core.1.9.0-rc1\lib\net45\Uno.Compiler.Core.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Extensions, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Extensions.1.9.0-rc1\lib\net45\Uno.Compiler.Extensions.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Compiler.Frontend, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Compiler.Frontend.1.9.0-rc1\lib\net45\Uno.Compiler.Frontend.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Configuration, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Configuration.1.9.0-rc1\lib\net45\Uno.Configuration.dll</HintPath>
    </Reference>
    <Reference Include="Uno.ProjectFormat, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.ProjectFormat.1.9.0-rc1\lib\net45\Uno.ProjectFormat.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Runtime.Core, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Runtime.Core.1.9.0-rc1\lib\net45\Uno.Runtime.Core.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Stuff, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Stuff.1.9.0-rc1\lib\net45\Uno.Stuff.dll</HintPath>
    </Reference>
    <Reference Include="Uno.UX.Markup, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.UX.Markup.1.9.0-rc1\lib\net45\Uno.UX.Markup.dll</HintPath>
    </Reference>
    <Reference Include="Uno.UX.Markup.AST, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.UX.Markup.AST.1.9.0-rc1\lib\net45\Uno.UX.Markup.AST.dll</HintPath>
    </Reference>
    <Reference Include="Uno.UX.Markup.CodeGeneration, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.UX.Markup.CodeGeneration.1.9.0-rc1\lib\net45\Uno.UX.Markup.CodeGeneration.dll</HintPath>
    </Reference>
    <Reference Include="Uno.UX.Markup.Common, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.UX.Markup.Common.1.9.0-rc1\lib\net45\Uno.UX.Markup.Common.dll</HintPath>
    </Reference>
    <Reference Include="Uno.UX.Markup.Reflection, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.UX.Markup.Reflection.1.9.0-rc1\lib\net45\Uno.UX.Markup.Reflection.dll</HintPath>
    </Reference>
    <Reference Include="Uno.UX.Markup.UXIL, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.UX.Markup.UXIL.1.9.0-rc1\lib\net45\Uno.UX.Markup.UXIL.dll</HintPath>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="Xamarin.Mac, Version=0.0.0.0, Culture=neutral, PublicKeyToken=84e04ff9cfb79065, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Xamarin.Mac.3.4.0.2\lib\net45\Xamarin.Mac.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BuildFailed.cs" />
    <Compile Include="CodeGeneration\Paths.cs" />
    <Compile Include="UxFileContents.cs" />
    <Compile Include="Parser\AccumulatingProgress.cs" />
    <Compile Include="Parser\Caching\CachingCompiler.cs" />
    <Compile Include="Parser\Caching\CachingDataType.cs" />
    <Compile Include="Parser\Exceptions.cs" />
    <Compile Include="Parser\Ghosting\GhostCompiler.cs" />
    <Compile Include="Parser\Ghosting\GhostCompilerFactory.cs" />
    <Compile Include="Parser\Ghosting\GhostDataType.cs" />
    <Compile Include="Parser\Ghosting\GhostGlobalResource.cs" />
    <Compile Include="Parser\Ghosting\GhostProperty.cs" />
    <Compile Include="Parser\Ghosting\GlobalResourceNode.cs" />
    <Compile Include="Parser\Ghosting\IMemberNode.cs" />
    <Compile Include="Parser\Ghosting\OuterClassNode.cs" />
    <Compile Include="Parser\Ghosting\PropertyNode.cs" />
    <Compile Include="Parser\Ghosting\UxXmlExtensions.cs" />
    <Compile Include="Parser\HasErrorsErrorLogWrapper.cs" />
    <Compile Include="Parser\ParsedDocument.cs" />
    <Compile Include="Parser\UxParser.cs" />
    <Compile Include="CodeGeneration\ReifyRequired.cs" />
    <Compile Include="CodeGeneration\Context.cs" />
    <Compile Include="CodeGeneration\Declarations.cs" />
    <Compile Include="CodeGeneration\Exceptions.cs" />
    <Compile Include="CodeGeneration\FileSources.cs" />
    <Compile Include="CodeGeneration\FindNodesInScope.cs" />
    <Compile Include="CodeGeneration\GetExpression.cs" />
    <Compile Include="CodeGeneration\Initialization.cs" />
    <Compile Include="CodeGeneration\Initialization.EventBindings.cs" />
    <Compile Include="CodeGeneration\Initialization.ListProperties.cs" />
    <Compile Include="CodeGeneration\Initialization.SingleProperties.cs" />
    <Compile Include="CodeGeneration\Scopes.cs" />
    <Compile Include="CodeGeneration\UxClasses.cs" />
    <Compile Include="CodeGeneration\UxFactories.cs" />
    <Compile Include="CodeGeneration\UxProperties.cs" />
    <Compile Include="CodeGeneration\InvalidUXIL.cs" />
    <Compile Include="MetadataGenerator.cs" />
    <Compile Include="ExpressionConverter.cs" />
    <Compile Include="ProjectObjectIdentifiers.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Runtime\DotNetBuild.cs" />
    <Compile Include="Runtime\DotNetReflection.cs" />
    <Compile Include="Runtime\MemoizingTypeMap.cs" />
    <Compile Include="Runtime\TypeAliasNameResolver.cs" />
    <Compile Include="Runtime\TypeMap.cs" />
    <Compile Include="UniqueNames.cs" />
    <Compile Include="UXIL\Marshalling.cs" />
    <Compile Include="UXIL\MatchWith.cs" />
    <Compile Include="ValueParser.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\3rdparty\NRefactory\ICSharpCode.NRefactory.Xml\ICSharpCode.NRefactory.Xml.csproj">
      <Project>{dc393b66-92ed-4cad-ab25-cfef23f3d7c6}</Project>
      <Name>ICSharpCode.NRefactory.Xml</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\3rdparty\NRefactory\ICSharpCode.NRefactory\ICSharpCode.NRefactory.csproj">
      <Project>{3b2a5653-ec97-4001-bb9b-d90f1af2c371}</Project>
      <Name>ICSharpCode.NRefactory</Name>
    </ProjectReference>
    <ProjectReference Include="..\Common\Outracks.Simulator.Common.csproj">
      <Project>{3335BB78-0B8A-4D2F-919F-2E6F08883D51}</Project>
      <Name>Outracks.Simulator.Common</Name>
    </ProjectReference>
    <Reference Include="Outracks.Simulator.Common.Uno">
      <HintPath>..\Common\bin\Outracks.Simulator.Common.Uno.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="$(SolutionDir)\.nuget\NuGet.targets" Condition="Exists('$(SolutionDir)\.nuget\NuGet.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Enable NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('$(SolutionDir)\.nuget\NuGet.targets')" Text="$([System.String]::Format('$(ErrorText)', '$(SolutionDir)\.nuget\NuGet.targets'))" />
    <Error Condition="!Exists('..\..\..\packages\FuseOpen.Xamarin.Mac.3.4.0.2\build\net45\FuseOpen.Xamarin.Mac.props')" Text="$([System.String]::Format('$(ErrorText)', '..\..\..\packages\FuseOpen.Xamarin.Mac.3.4.0.2\build\net45\FuseOpen.Xamarin.Mac.props'))" />
  </Target>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>